﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace residential.incall.web.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Objects;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    
    public partial class TMDBEntities : DbContext
    {
        public TMDBEntities()
            : base("name=TMDBEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
    
        public virtual ObjectResult<sp_incall_select_corresponding_personal_Result> sp_incall_select_corresponding_personal(string callerNumber)
        {
            var callerNumberParameter = callerNumber != null ?
                new ObjectParameter("CallerNumber", callerNumber) :
                new ObjectParameter("CallerNumber", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_incall_select_corresponding_personal_Result>("sp_incall_select_corresponding_personal", callerNumberParameter);
        }
    }
}
